Consultar métricas del flow
curl --request GET \
--url https://api.bevits.com/v1/flows/{flow_id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bevits.com/v1/flows/{flow_id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bevits.com/v1/flows/{flow_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "flow_metrics",
"flow_id": "<string>",
"eligibility": "recovery",
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"attribution": {
"model": "last_touch",
"window_days": 2,
"scope": "abandoned_checkout"
},
"entries": 1,
"sent": 1,
"delivered": 1,
"failed": 1,
"conversions": 1,
"conversion_rate": 123,
"revenue_in_cents": 123,
"average_ticket_in_cents": 123,
"nodes": [
{
"node_id": "<string>",
"channel": "email",
"sent": 1,
"delivered": 1,
"opened": 1,
"clicked": 1,
"failed": 1,
"conversions": 1,
"revenue_in_cents": 123
}
]
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "Invalid query parameters.",
"param": "limit",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Referencia
Consultar métricas del flow
Devuelve envíos, conversiones, tasa de conversión e ingresos recuperados del flow en el período, con el desglose por nodo de mensaje.
GET
/
v1
/
flows
/
{flow_id}
/
metrics
Consultar métricas del flow
Autorizaciones
Clave API creada en la configuración de la organización.
Parámetros de ruta
ID público del flow.
Pattern:
^flw_[A-Za-z0-9_-]+$Parámetros de consulta
Inicio de la ventana analizada. El valor predeterminado son 30 días atrás.
Fin de la ventana analizada. El valor predeterminado es el momento de la consulta.
Respuesta
Métricas del flow en el período.
Allowed value:
"flow_metrics"Pattern:
^flw_[A-Za-z0-9_-]+$Opciones disponibles:
recovery, engagement_only Show child attributes
Show child attributes
Rango requerido:
x >= 0Rango requerido:
x >= 0Rango requerido:
x >= 0Rango requerido:
x >= 0Rango requerido:
x >= 0Show child attributes
Show child attributes